# Function process

- process<Height>(options): Process<Block | undefined, {
  web3: "eth_getBlockByNumber";
  }>

- Issue web3 requests to retrieve block hashes for a given list of heights.

  #### Type Parameters

  - #### Height extends number | "latest"

  #### Parameters

  - ##### options: {
    block: {
    hash?: string;
    height: Height;
    };
    settings?: {
    skipComplete?: boolean;
    };
    }

    - ##### block: {
      hash?: string;
      height: Height;
      }

      - ##### `Optional` hash?: string

      - ##### height: Height

    - ##### `Optional` settings?: {
      skipComplete?: boolean;
      }

      - ##### `Optional` skipComplete?: boolean

  #### Returns Process<Block | undefined, {
  web3: "eth_getBlockByNumber";
  }>

  - Defined in packages/db/src/network/fetch/block.ts:14

Generated using TypeDoc